<HTML>

<!-- #INCLUDE FILE="DataStore.inc" -->

<HEAD>
<TITLE>ADO Errors</TITLE>
</HEAD>
<BODY>

<%
	On Error Resume Next

	Dim objConn		' Connection object
	Dim objProp		' Property object
	Dim objError		' Error object

	' create the connection object
	Set objConn = Server.CreateObject ("ADODB.Connection")

	' and open it
	objConn.Open strConnect

	' now we can execute some SQL
	objConn.Execute "Select MissingColumn from MissingTable"

	' Errors means the count will be greater than 0
	If objConn.Errors.Count > 0 Then

		' loop through the errors
		For Each objError In objConn.Errors
			Response.Write "<TABLE BORDER=1>" & _
			"<TR><TD>Error Property</TD><TD>Contents</TD></TR>" & _
			"<TR><TD>Number</TD><TD>" & objError.Number & "</TD></TR>" & _
			"<TR><TD>NativeError</TD><TD>" & objError.NativeError & "</TD></TR>" & _
			"<TR><TD>SQLState</TD><TD>" & objError.SQLState & "</TD></TR>" & _
			"<TR><TD>Source</TD><TD>" & objError.Source & "</TD></TR>" & _
			"<TR><TD>Description</TD><TD>" & objError.Description & "</TD></TR>" & _
			"</TABLE><P>"
		Next
	Else
		' no errors
		Response.Write "There were no errors."
	End If

	' now close and clean up
	objConn.Close
	Set objConn = Nothing
%>
</BODY>
</HTML>