<HTML>

<!-- #INCLUDE FILE="adovbs.inc" -->
<!-- #INCLUDE FILE="DataStore.inc" -->
<!-- #INCLUDE FILE="RecToTable.asp" -->

<HEAD>
<TITLE>Find Contacts</TITLE>
</HEAD>
<BODY>

<%
	Dim strSQL		' SQL String
	Dim objRec		' Recordset object
	Dim objField		' Field object
	Dim intCount		' number of fields selected
	Dim vbQuote		' quote character
	Dim vbCR		' carriage return

	' set the constants
	vbQuote = Chr(34)
	vbCR = Chr(13)

	' check whether we have selected a state or not
	If Request.Form("Field").Count > 0 Then

		' we have a state, therefore show contacts for selected state

		' find out which fields are to be selected
		strSQL = ""
		For intCount = 1 to Request.Form("Field").Count
			strSQL = strSQL & Request.Form("Field")(intCount) & ", "
		Next

		' strip off the trailing comma and space added in the loop
		strSQL = Left(strSQL, Len(strSQL) - 2)

		strSQL = "SELECT " & strSQL & " FROM Contact"

		' only add a where clause if they requested a state
		If Request.Form("State") <> "" Then
			strSQL = strSQL & " WHERE State = '" & Request.Form("State") & "'"
		End If

		' create the recordset
		Set objRec = Server.CreateObject ("ADODB.Recordset")

		objRec.Open strSQL, strConnect, adOpenForwardOnly, _
				adLockReadOnly, adCmdText

		' write a table of the recordset
		Response.Write RecToTable (objRec)

		' clean up
		objRec.Close
		Set objRec = Nothing
%>

<% 	Else	%>

<FORM NAME=ContactInfo ACTION="ContactsInState.asp" METHOD="POST">
<H2>Find Contacts by State</H2>
Enter the State to find:
<INPUT TYPE=TEXT NAME="State">
<P>
Please select which fields you would like:<P>
<%
	' no checkboxes exist, therefore create them

	' create a recordset on the Contacts
	Set objRec = Server.CreateObject ("ADODB.Recordset")

	objRec.Open "Contact", strConnect, adOpenForwardOnly, _
		adLockReadOnly, adCmdTable

	' create a checkbox in the form for each field in the recordset
	For Each objField in objRec.Fields
		Response.Write "<INPUT TYPE=CHECKBOX NAME=" & _
			vbQuot & "Field" & vbQuot & _
			" VALUE=" & _
			vbQuot & objField.Name & vbQuot & _
			">" & objField.Name & "<BR>" & vbCR
	Next

	' clean up
	objRec.Close
	Set objRec = Nothing
%>

<INPUT TYPE=SUBMIT VALUE="Find">
<INPUT TYPE=RESET VALUE="Clear">
</FORM>

<%
	End If
	
%>

</BODY>
</HTML>