<%

Function RecToTable (objRec)

	Dim strT			' table html string
	Dim fldF			' current field object
	Dim strValue			' field value

	' build the table header
	strT = "<TABLE BORDER=1>" & _
		   "<TR ALIGN=CENTER>"

	' each field as a table column name
	For Each fldF In objRec.Fields
		strT = strT & "<TD>" & fldF.Name & "</TD>"
	Next
	strT = strT & "</TR>"


	' now build the rows
	While Not objRec.EOF
		strT = strT & "<TR ALIGN=CENTER>"

		' format each field according to its type
		For Each fldF in objRec.Fields
			strValue = fldF.Value

			Select Case fldF.Type
			Case adDBDate, adDBTimeStamp, adDBTime, adDate
				If Not IsNull(strValue) Then
					strValue = FormatDateTime (strValue, 2)
				End If

			Case adBoolean
				If strValue = "True" Then
					strValue = "Yes"
				Else
					strValue = "No"
				End If

			Case adCurrency
				If Not IsNull(strValue) Then
					strValue = FormatCurrency(strValue)
				End If

			Case adBigInt, adDecimal, adDouble, adNumeric, adSingle, _
				 adSmallInt, adTinyInt, adUnsignedBigInt, adUnsignedInt, _
				 adUnsignedSmallInt, adUnsignedTinyInt
				If Not IsNull(strValue) Then
					strValue = FormatNumber (strValue)
				End If

			End Select
			strT = strT & "<TD>" & strValue & "</TD>"
		Next
		strT = strT & "</TR>"
		objRec.MoveNext
	Wend
	strT = strT & "</TABLE>"

	' and finally return the table
	RecToTable = strT

End Function

%>
